
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/time.h>

#include <hip/hip_runtime.h>

/* Host main routine */
int main(void)
{
	printf("size of size_t: %lu\n", sizeof(size_t));

	size_t a = (1<<10);
	size_t b = (1<<20);
	size_t c = (1<<30);

	printf("a = %lu\n", a);
	printf("b = %lu\n", b);
	printf("c = %lu\n", c);

	size_t numElements = c/4;
	size_t size = numElements * sizeof(float);

	float *d_A = NULL;
	hipMalloc((void **)&d_A, size);

	sleep(20);

	hipFree(d_A);

    printf("Done\n");
    return 0;
}
