
ulimit -n 100000

PWD=$(pwd)

hostfile=${1}

#num=$(cat ${hostfile} | wc -l)
num=${2}

p1=${3}
p2=${4}

echo ${num}

source /opt/hpc/software/mpi/hpcx/v2.4.0_ga/hpcx-rocm-mt-init-ompi.sh
hpcx_load

APP="./rocmMpiD2D ${p1} ${p2}"

mpirun --allow-run-as-root -np ${num} -hostfile ${hostfile} --mca plm_rsh_no_tree_spawn 1 --mca plm_rsh_num_concurrent ${num} -mca routed_radix ${num} -mca pml ucx -x UCX_TLS=self,sm,rc_x,rocm_cpy,rocm_ipc -x UCX_IB_ADDR_TYPE=ib_global -x UCX_RNDV_THRESH=auto -x UCX_ZCOPY_THRESH=auto -x UCX_MAX_EAGER_LANES=4 -x UCX_MAX_RNDV_LANES=4 -x LD_LIBRARY_PATH -mca btl_openib_warn_default_gid_prefix 0 -mca  btl_openib_warn_no_device_params_found 0 --mca btl_openib_allow_ib true -mca coll_hcoll_enable 0 -mca coll_hcoll_np ${num} --bind-to none $APP
