#!/bin/bash

APP="./rocmMpiD2D_float 0 0"
common_rank=$OMPI_COMM_WORLD_RANK
export HSA_USERPTR_FOR_PAGED_MEM=1

p1=${1}
p2=${2}

case ${common_rank} in
[0])
	export UCX_NET_DEVICES=mlx5_${p1}:1
	export UCX_IB_PCI_BW=mlx5_${p1}:50Gbs
	#export HIP_VISIBLE_DEVICES=${p1}
	numactl --cpunodebind=${p1} --membind=${p1} $APP
	;;
[1])
	export UCX_NET_DEVICES=mlx5_${p2}:1
	export UCX_IB_PCI_BW=mlx5_${p2}:50Gbs
	#export HIP_VISIBLE_DEVICES=${p2}
	numactl --cpunodebind=${p2} --membind=${p2} $APP
	;;
esac
